Make Extension:Newsletter strings translatable in translatewiki.net
Closed, ResolvedPublic

Description

The strings of the Newsletter extension should be translatable from translatewiki.net, just like the rest of extensions aiming to be deployed to Wikimedia servers.

@Raymond has agreed to review the extension and later add it to translatewiki.net.

Related Objects

Qgil created this task.Jun 18 2015, 11:08 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 11:08 AM
Tinaj1234 set Security to None.
Tinaj1234 raised the priority of this task from Low to High.Jul 30 2015, 10:57 AM
01tonythomas added a subscriber: 01tonythomas.

@siebrand, can you take a look at https://github.com/wikimedia/mediawiki-extensions-Newsletter and notify what all needs to be done ?

Was working on T101832 until yesterday. This is the new high priority task, starting to work on this right now.

Tinaj1234 updated the task description. (Show Details)Aug 13 2015, 10:49 AM
Tinaj1234 added a subscriber: Raymond.

i18n review:

  • Please use the consistent message key prefix "newsletter-..." to avoid key conflicts with core and other extensions
  • The extension creates new special pages. Please add a file Newsletter.alias.php to make translation of special page name possible.

Feel free to add me as reviewer for i18n related patch sets.

Qgil added a comment.Aug 14 2015, 11:38 AM

@Raymond thank you very much for your help!

  • Please use the consistent message key prefix "newsletter-..." to avoid key conflicts with core and other extensions
  • The extension creates new special pages. Please add a file Newsletter.alias.php to make translation of special page name possible.

Will get these done ASAP.

Change 231756 had a related patch set uploaded (by Tinaj1234):
Add Newsletter extension to translatewiki.net

https://gerrit.wikimedia.org/r/231756

Se4598 added a subscriber: Se4598.Aug 15 2015, 11:18 AM

@Tinaj1234 This patch doesn't cover all the strings that need to be translated in the extension, right?

General, helpful tip to find unlocalized strings in the interface or the key for already localized messages: Use the pseudo-language qqx (example url with ?uselang=qqx) and see all the messages replaced with their (key).

General, helpful tip to find unlocalized strings in the interface or the key for already localized messages: Use the pseudo-language qqx (example url with ?uselang=qqx) and see all the messages replaced with their (key).

Yup, I'll add the ones I missed. Thank you!

@Tinaj1234 This patch doesn't cover all the strings that need to be translated in the extension, right?

I rechecked and I didn't find any strings without an entry in en.json or qqq.json. Please do mention if you found any.

This comment was removed by Tinaj1234.

See notes on changeset. (hm, somehow my annotations are off by one line)

Change 231756 merged by jenkins-bot:
Add Newsletter extension to translatewiki.net

https://gerrit.wikimedia.org/r/231756

Newsletter added to translatewiki.net with I6569be877ea599db62c0233171e4e26d34897e5c

Thank you @Raymond !
Closing the task.

Tinaj1234 closed this task as Resolved.Aug 17 2015, 6:54 PM